Bug 485699 - Removal of inputrc stuff from /etc/profile breaks mysql client
Removal of inputrc stuff from /etc/profile breaks mysql client
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setup (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 09:00 EST by Andrew Clayton
Modified: 2009-06-10 10:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 10:37:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andrew Clayton 2009-02-16 09:00:39 EST
Description of problem:

When using the mysql shell, pressing delete produces a ~ rather than deleting a character.

Version-Release number of selected component (if applicable):

setup-2.6.18-2.fc9.noarch

How reproducible:

100%

Steps to Reproduce:
1. Have the above version of setup installed
2. Run mysql e.g mysql -u root -p
3. When at the mysql> prompt, type some text, e.g USE then back arrow twice and press Delete to delete the S
  
Actual results:

A ~ is produced to give U~SE

Expected results:

The S is deleted.

Additional info:

I tracked this down to a change in /etc/profile. The removal of the inputrc stuff.
i.e
--- profile-2.6.18-1	2009-02-16 11:52:10.000000000 +0000
+++ profile-2.6.18-2	2009-02-16 11:50:24.000000000 +0000
@@ -38,11 +38,7 @@
 HOSTNAME=`/bin/hostname 2>/dev/null`
 HISTSIZE=1000
 
-if [ -z "$INPUTRC" -a ! -f "$HOME/.inputrc" ]; then
-    INPUTRC=/etc/inputrc
-fi
-
-export PATH USER LOGNAME MAIL HOSTNAME HISTSIZE INPUTRC
+export PATH USER LOGNAME MAIL HOSTNAME HISTSIZE
 
 for i in /etc/profile.d/*.sh ; do
     if [ -r "$i" ]; then
@@ -54,7 +50,5 @@
     fi
 done
 
-export PATH
-
 unset i
 unset pathmunge


Putting the /etc/profile from setup-2.6.18-1 back in makes mysql behave as expected.
Comment 1 Ondrej Vasik 2009-02-16 09:22:21 EST
Thanks for report ... Removal was due to fact, that newly created ~/.inputrc file was ignored with the old /etc/profile . After consulting it with readline maintainer, it turned out that readline no longer needs that hack in /etc/profile and there is no reason to keep it. So it was removed - it seems that MySQL is using some older readline (as  written e.g. http://www.listsearch.com/MySQL/Thread/index.lasso?38750#251530 ) - so I have to find some suitable solution for it. Just reverting back the change would mean reopening fixed bugzilla with ignored ~/.inputrc by readline.
Comment 2 Bug Zapper 2009-06-09 23:34:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ondrej Vasik 2009-06-10 05:08:28 EDT
Adding mysql maintainer to CC, maybe it could help to find out how to make everyone happy before F-9 EOL.
Comment 4 Tom Lane 2009-06-10 09:38:38 EDT
AFAIK this problem is already fixed, see bug #488430.  Can reporter reproduce it with mysql-5.0.77 ?
Comment 5 Andrew Clayton 2009-06-10 10:37:18 EDT
Ah, cool, indeed it is.

Cheers.

Note You need to log in before you can comment on or make changes to this bug.